install.packages("mlxR")
install.packages("ggplot2")

library("ggplot2")
library("mlxR")

pop.param <- c(V1_pop  = 3.63,  omega_V1  = 0.35, 
               V2_pop  = 2.78,  omega_V2  = 0.508, 
               Q_pop   = 0.0321,  omega_Q   = 0, 
               cl_pop  = 0.0094, omega_cl  = 0.35)
N = 400

trt1 <- list(time=c(0,15*24,30*24), amount=c(240,240,240))
trt2 <- list(time=c(0,15,30)*24, amount=c(400,400,400))
g1  <- list(treatment = trt1, size=N, level='individual')
g2  <- list(treatment = trt2, size=N, level='individual')

res2 <- simulx(model     = "pkpopnivolumab_corrected.txt",
               parameter = pop.param,
               group     = list(g1,g2),
               output    = list(name='Cc',
              time=seq(0, 70*24, by=0.5)))

prctilemlx(res2$Cc, number=2, level=90)
